/// <reference types="react" />
export declare const ItemTitle: import("@emotion/styled").StyledComponent<{
    [x: string]: any;
    children: any;
} & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const ItemIcon: import("@emotion/styled").StyledComponent<import("@metabase/embedding-sdk-react/dist/frontend/src/metabase/ui").IconProps & import("react").RefAttributes<SVGSVGElement> & {
    theme?: import("@emotion/react").Theme | undefined;
} & {
    color?: string | null | undefined;
}, {}, {}>;
export declare const BaseItemRoot: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
} & {
    size: "small" | "medium";
    isSelected: boolean;
}, import("react").DetailedHTMLProps<import("react").LiHTMLAttributes<HTMLLIElement>, HTMLLIElement>, {}>;
export declare const ItemRoot: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
} & {
    size: "small" | "medium";
    isSelected: boolean;
} & import("react").ClassAttributes<HTMLLIElement> & import("react").LiHTMLAttributes<HTMLLIElement> & {
    theme?: import("@emotion/react").Theme | undefined;
} & {
    hasLeftIcon: boolean;
    hasRightIcon: boolean;
}, {}, {}>;
